Skip to main content
GET
/
payouts
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const payoutListResponse of client.payouts.list()) {
  console.log(payoutListResponse.business_id);
}
import os
from dodopayments import DodoPayments

client = DodoPayments(
    bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
)
page = client.payouts.list()
page = page.items[0]
print(page.business_id)
package main

import (
	"context"
	"fmt"

	"github.com/dodopayments/dodopayments-go"
	"github.com/dodopayments/dodopayments-go/option"
)

func main() {
	client := dodopayments.NewClient(
		option.WithBearerToken("My Bearer Token"),
	)
	page, err := client.Payouts.List(context.TODO(), dodopayments.PayoutListParams{})
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", page)
}
package com.dodopayments.api.example;

import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.payouts.PayoutListPage;
import com.dodopayments.api.models.payouts.PayoutListParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

        PayoutListPage page = client.payouts().list();
    }
}
package com.dodopayments.api.example

import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.payouts.PayoutListPage
import com.dodopayments.api.models.payouts.PayoutListParams

fun main() {
    val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

    val page: PayoutListPage = client.payouts().list()
}
require "dodopayments"

dodo_payments = Dodopayments::Client.new(
  bearer_token: "My Bearer Token",
  environment: "test_mode" # defaults to "live_mode"
)

page = dodo_payments.payouts.list

puts(page)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;

$client = new Client(
  bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
  environment: 'test_mode',
);

try {
  $page = $client->payouts->list(
    createdAtGte: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
    createdAtLte: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
    pageNumber: 0,
    pageSize: 0,
  );

  var_dump($page);
} catch (APIException $e) {
  echo $e->getMessage();
}
using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Payouts;

DodoPaymentsClient client = new();

PayoutListParams parameters = new();

var page = await client.Payouts.List(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
use dodopayments::Client;

#[tokio::main]
async fn main() -> dodopayments::Result<()> {
    let client = Client::from_env()?;
    let result = client
        .payouts()
        .list()
        .query(serde_json::json!({}))
        .await?;
    println!("{result:?}");
    Ok(())
}
curl --request GET \
  --url https://test.dodopayments.com/payouts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "amount": 123,
      "business_id": "<string>",
      "chargebacks": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "fee": 123,
      "payment_method": "<string>",
      "payout_id": "<string>",
      "refunds": 123,
      "tax": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "payout_document_url": "<string>",
      "remarks": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_at_gte
string<date-time>

Get payouts created after this time (inclusive)

created_at_lte
string<date-time>

Get payouts created before this time (inclusive)

page_size
integer<int32>

Page size default is 10 max is 100

Required range: x >= 0
page_number
integer<int32>

Page number default is 0

Required range: x >= 0

Response

Payouts List

items
object[]
required
Last modified on March 25, 2026